<template>
  <single-panel>
    <ob-tabs
        v-if="isClicar"
        v-model="activeTab"
        :items="tabsItems"
        @on-change-tab="onChangeTabHandler"
        value-exp="uuid"
    >
      <component :is="isComponent" />
    </ob-tabs>
    <debtors v-else/>
  </single-panel>
</template>

<script>
  import SinglePanel from "common-components/src/obComponents/obSinglePanels";
  import ObTabs from "common-components/src/obComponents/obTabs/index";
  import Should from "./should";
  import Debtors from "./debtors";
  import commonMethods from "@/mixins/order-list-mixin.js";
  import {mapGetters} from "vuex";

  let componentsMap = {
    should: Should,
    debtors: Debtors
  };

  export default {
    name: "payment",
    components: {
      SinglePanel,
      ObTabs,
      Should,
      Debtors
    },
    mixins: [
      commonMethods
    ],
    data() {
      return {
        activeTab: {
          uuid: ""
        }
      }
    },
    computed: {
      ...mapGetters({
        isClicar: 'user/isClicar'
      }),
      tabsItems() {
        return [
          {
            uuid: "debtors",
            title: "Мне должны",
          },
          {
            uuid: "should",
            title: "Я должен",
          }
        ];
      },
      isComponent() {
        return componentsMap[this.activeTab.uuid];
      }
    },
    mounted() {
      if (this.$route.query.hasOwnProperty('role')) {
        this.activeTab.uuid = this.$route.query.role;
      } else {
        this.activeTab.uuid = this.tabsItems[0].uuid;
      }
    }
  }
</script>